Bug 1270186 - Member of wrong solicited node multicast group
Member of wrong solicited node multicast group
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 04:49 EDT by Ola Thoresen
Modified: 2016-07-19 14:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:09:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ola Thoresen 2015-10-09 04:49:43 EDT
Description of problem:

For some reason some of my boxen are member of the wrong solicited node IPv6-multicast group.  This is not i high priority bug, but it seems to be a bug none the less and should probably be fixed at some stage.

I can see it on multiple hardware platforms and kernel version, but not consistently on all, so it might be a driver problem in some network cards, or related to something else.

I can see it on an internal server still running FC9
- kernel-2.6.25.14-108.fc9.x86_64, but also on my laptop running F22

So it is a long standing bug.

Reporting it against the latest version as I guess that is most relevant.


Version-Release number of selected component (if applicable):

kernel-4.1.7-200.fc22.x86_64

How reproducible:

Always, on some platforms

Steps to Reproduce:
1. Enable IPv6
2. 
3.

Actual results:

# ip -f inet6 maddr show wlp3s0 | grep ff02::1:ff
	inet6 ff02::1:ff00:0 users 2
	inet6 ff02::1:ffb5:d2ae users 2


Expected results:
The host should NOT be a member of ff02::1:ff00:0, only ff02::1:ffb5:d2ae
Also notice that it reports "users 2" for both the groups.


Additional info:
The wireless card in question here is
Network controller: Intel Corporation Wireless 7265 (rev 59)

The older server with the same symptom runs a nVidia motherboard with an integrated network controller, with the forcedeth driver.

But another host, running F20 (kernel 3.18.9-100.fc20.x86_64) and a "Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 03)" on the same LAN is NOT member of this group.

If i google for "inet6 ff02::1:ff00:0 users 2" I get a couple of hits, but nobody seems to have noticed or reported it as a bug.
Comment 1 Justin M. Forbes 2015-10-20 15:29:02 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 2 Ola Thoresen 2015-10-22 06:14:41 EDT
The issue still exists in the latest kernel:

$ uname -sr
Linux 4.2.3-200.fc22.x86_64

$ ip -f inet6 maddr show wlp3s0
4:	wlp3s0
	inet6 ff02::fb
	inet6 ff02::1:ff00:0
	inet6 ff02::1:ffb5:d2ae
(...)
Comment 3 Fedora End Of Life 2016-07-19 14:09:52 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.